From f04b5c39028103ddecf3d4822c6004ae28a264a2 Mon Sep 17 00:00:00 2001
From: Dimitur Kirov <dkirov@gmail.com>
Date: Sun, 15 Oct 2006 10:32:17 +0000
Subject: [PATCH] check for pkg-config in autogen.sh

---
 README.html  | 6 ++++++
 autogen.sh   | 5 +++++
 configure.ac | 1 +
 3 files changed, 12 insertions(+)

diff --git a/README.html b/README.html
index 2fe8be3abc..54e046554b 100644
--- a/README.html
+++ b/README.html
@@ -90,6 +90,7 @@ You will need GNU autotools in order to install Gajim from svn. This includes:
 <li>autoconf &gt;= 2.59 </li>
 <li>libtool</li>
 <li>intltool-0.35.0 </li>
+<li>pkgconfig &gt;= 0.19</li>
 </ul>
 </p>
 steps to compile gajim:
@@ -98,6 +99,11 @@ steps to compile gajim:
     $ ./configure
     $ make
 </pre>
+Alternatively, if you don't want to install all these packages, you can get a nightly snapshot from <a href="http://www.gajim.org/downloads/snap/">here</a> and procede as usual:
+<pre>
+    $ ./configure
+    $ make
+</pre>
 <h2>Uninstallation Procedure</h2>
 <p>
 su -c make uninstall<br/>
diff --git a/autogen.sh b/autogen.sh
index 757dab7f2c..dbf2cc8121 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,6 +3,11 @@
   && ls -1 -U data/gajim.desktop.in.in data/glade/*.glade \
   src/*py src/common/*py src/common/zeroconf/*.py >> \
   po/POTFILES.in || exit 1
+  if test -z `which pkg-config 2>/dev/null`;then
+    echo "***Error: pkg-config not found***"
+	echo "See README.html for build requirements."
+	exit 1
+  fi
   set -x
   intltoolize --force --automake \
   && aclocal -I ./m4 \
diff --git a/configure.ac b/configure.ac
index 5def3962a9..47f52bd792 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,6 +7,7 @@ AC_CONFIG_MACRO_DIR([m4])
 AM_MAINTAINER_MODE
 
 IT_PROG_INTLTOOL([0.35.0])
+PKG_PROG_PKG_CONFIG([0.19])
 
 AM_DISABLE_STATIC
 AC_ENABLE_SHARED(yes)
-- 
GitLab